﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>

        <script type="text/javascript">
            // sample data source of occupied objects/seats
            var occupiedSeats = [4, 5];

            function OnShapeCreated(evt) {
                var shape = evt.shape;
                var dataItemProp = shape.dataItem.properties;
                var object = dataItemProp.object;


                // colorize different objects dynamically
                if (object === "screen") {
                    shape.options.fill.color = "blue";
                } else {
                    var isSeatOcc = (occupiedSeats.indexOf(dataItemProp.num) > -1);
                    if (isSeatOcc) {
                        shape.options.fill.color = "red";
                    }
                    else {
                        shape.options.fill.color = "green";
                    }
                }
            }

            function OnShapeClick(evt) {
                var shape = evt.shape;
                var dataItemProp = shape.dataItem.properties;
                var object = dataItemProp.object;


                if (object === "seat") {
                    occupiedSeats.push(dataItemProp.num);
                    shape.fill("red");
                }
            }
        </script>

        <telerik:RadClientDataSource runat="server" ID="RCDS1">
            <DataSource>
                <WebServiceDataSourceSettings ServiceType="GeoJSON">
                    <Select Url="Sources/data.json" DataType="JSON" ContentType="application/json" />
                </WebServiceDataSourceSettings>
            </DataSource>
        </telerik:RadClientDataSource>

        <telerik:RadMap runat="server" ID="RadMap1" Zoom="3" Width="1000px" Height="420px"
            Style="border: 1px solid black;" Zoomable="false" Pannable="false">
            <CenterSettings Latitude="5" Longitude="-20" />
            <ControlsSettings Navigator="false" Zoom="false"></ControlsSettings>
            <LayersCollection>
                  <telerik:MapLayer Type="Tile" Subdomains="a,b,c"
				UrlTemplate="http://#= subdomain #.tile.openstreetmap.org/#= zoom #/#= x #/#= y #.png"
				Attribution="&copy; <a href='http://osm.org/copyright' title='OpenStreetMap contributors' target='_blank'>OpenStreetMap contributors</a>.">
			</telerik:MapLayer>
                <telerik:MapLayer Type="Shape" ClientDataSourceID="RCDS1">
                    <StyleSettings>
                        <FillSettings Color="#eee" />
                        <StrokeSettings Color="#000" Width="1" />
                    </StyleSettings>
                </telerik:MapLayer>

              
            </LayersCollection>
            <ClientEvents OnShapeCreated="OnShapeCreated" OnShapeClick="OnShapeClick" />
        </telerik:RadMap>

    </form>
</body>
</html>
